Skip to main content
GET
/
2025-07
/
marketing-solutions
/
marketplace-performance-outcomes
/
sellers
/
{sellerId}
/
budgets
/2025-07/marketing-solutions/marketplace-performance-outcomes/sellers/{sellerId}/budgets
curl --request GET \
  --url https://api.criteo.com/2025-07/marketing-solutions/marketplace-performance-outcomes/sellers/{sellerId}/budgets \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "16501666",
    "sellerId": "10656107",
    "campaignIds": [
      436017
    ],
    "budgetType": "Capped",
    "amount": 462.47,
    "endDate": "2026-04-30",
    "spend": 117.59,
    "status": "Current",
    "isSuspended": false
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

sellerId
string
required

Return only budgets belonging to the given seller.

Query Parameters

campaignId
integer<int32>

Return only budgets that pay for a given campaign.

endAfterDate
string<date-time>

Return budgets that end after the given date using the yyyy-MM-DD format. If param is not provided, default behavior is to only return budgets that have not yet ended.

startBeforeDate
string<date-time>

Return budgets that start on or before the given date using the yyyy-MM-DD format.

status
enum<string>

Return only budgets with the given status.

Available options:
Archived,
Current,
Scheduled
type
string

Return only budgets with the given budget type.

withBalance
boolean

Return only budgets with the given status.

withSpend
boolean

Return budgets with any positive spend.

Response

200 - application/json

Success

amount
number<double> | null

Budget amount in the advertiser's currency

budgetType
string

Type of budget: 'Daily' (daily cap), 'Capped' (lifetime with fixed amount), or 'Uncapped' (lifetime with no limit)

campaignIds
integer<int32>[]

List of campaign IDs this budget applies to

endDate
string

End date of the budget period (format: YYYY-MM-DD), or empty string if open-ended

id
string

Unique budget identifier

isSuspended
boolean

Whether the budget has been manually suspended by the partner

sellerId
string

Identifier of the seller this budget belongs to

spend
number<double> | null

Amount spent against this budget so far, or null if not available

startDate
string<date>

Start date of the budget period (format: YYYY-MM-DD)

status
enum<string>

Status of a seller budget

Available options:
Archived,
Current,
Scheduled